// David Eberly, Geometric Tools, Redmond WA 98052
// Copyright (c) 1998-2020
// Distributed under the Boost Software License, Version 1.0.
// https://www.boost.org/LICENSE_1_0.txt
// https://www.geometrictools.com/License/Boost/LICENSE_1_0.txt
// Version: 4.0.2019.08.13

#pragma once

// Mathematics/GPU/ComputationalGeometry
#include <Mathematics/GPU/GPUGenerateMeshUV.h>

// Mathematics/GPU/Physics/Fluids2
#include <Mathematics/GPU/GPUFluid2.h>
#include <Mathematics/GPU/GPUFluid2AdjustVelocity.h>
#include <Mathematics/GPU/GPUFluid2ComputeDivergence.h>
#include <Mathematics/GPU/GPUFluid2EnforceStateBoundary.h>
#include <Mathematics/GPU/GPUFluid2InitializeSource.h>
#include <Mathematics/GPU/GPUFluid2InitializeState.h>
#include <Mathematics/GPU/GPUFluid2Parameters.h>
#include <Mathematics/GPU/GPUFluid2SolvePoisson.h>
#include <Mathematics/GPU/GPUFluid2UpdateState.h>

// Mathematics/GPU/Physics/Fluids3
#include <Mathematics/GPU/GPUFluid3.h>
#include <Mathematics/GPU/GPUFluid3AdjustVelocity.h>
#include <Mathematics/GPU/GPUFluid3ComputeDivergence.h>
#include <Mathematics/GPU/GPUFluid3EnforceStateBoundary.h>
#include <Mathematics/GPU/GPUFluid3InitializeSource.h>
#include <Mathematics/GPU/GPUFluid3InitializeState.h>
#include <Mathematics/GPU/GPUFluid3Parameters.h>
#include <Mathematics/GPU/GPUFluid3SolvePoisson.h>
#include <Mathematics/GPU/GPUFluid3UpdateState.h>
